package com.fs.company.service;

import com.fs.company.domain.CompanyTcmSchedule;

import java.util.List;

/**
 * 中医档期管理Service接口
 *
 * @author fs
 * @date 2023-09-05
 */
public interface ICompanyTcmScheduleService
{
    /**
     * 查询中医档期管理
     *
     * @param id 中医档期管理ID
     * @return 中医档期管理
     */
    public CompanyTcmSchedule selectCompanyTcmScheduleById(Long id);

    /**
     * 查询中医档期管理列表
     *
     * @param companyTcmSchedule 中医档期管理
     * @return 中医档期管理集合
     */
    public List<CompanyTcmSchedule> selectCompanyTcmScheduleList(CompanyTcmSchedule companyTcmSchedule);

    /**
     * 新增中医档期管理
     *
     * @param companyTcmSchedule 中医档期管理
     * @return 结果
     */
    public int insertCompanyTcmSchedule(CompanyTcmSchedule companyTcmSchedule);

    /**
     * 修改中医档期管理
     *
     * @param companyTcmSchedule 中医档期管理
     * @return 结果
     */
    public int updateCompanyTcmSchedule(CompanyTcmSchedule companyTcmSchedule);

    /**
     * 批量删除中医档期管理
     *
     * @param ids 需要删除的中医档期管理ID
     * @return 结果
     */
    public int deleteCompanyTcmScheduleByIds(Long[] ids);

    /**
     * 删除中医档期管理信息
     *
     * @param id 中医档期管理ID
     * @return 结果
     */
    public int deleteCompanyTcmScheduleById(Long id);

    /**
     * 查询可用档期
     * *
     * @return 结果
     */
    List<CompanyTcmSchedule> selectUseableScheduleList();
}
